Question

NetApp SnapDiff v3 requirements


Badge +3

Morning,

We’re moving to ONTAP 9.10, which means only SnapDiff v3 is supported.  In the CommVault docs I can only really find what CommVault versions support v3, nothing really about what needs to be configured.

I’ve seen from other topics here, that our commvault user needs an “access tokens” role on the NetApp, is there anything else that we need to look out for?

Thanks.


13 replies

Userlevel 3
Badge +6

Hi @Brendon McGrath 

Below are some additional requirements. This should be configured by default but you can confirm.

1)    REST Authorization

vserver services web access show -vserver <vserver> -name rest -role <role> 
vserver services web access create -vserver <vserver> -name rest -role <role>

2)    HTTP

security login show -vserver <vserver> -user-or-group-name <user> -application ssh
security login show -vserver <vserver> -user-or-group-name <user> -application http
security login create -vserver <vserver> -user-or-group-name <user> -application http -authentication-method password -role <role>

A typical user would be user would be “IntelliSnapUser” or “vsadmin” or “admin”

3)    RPC enabled

set advanced
vserver snapdiff-rpc-server
vserver snapdiff-rpc-server show ( if you find no entries  for the Vserver , please run below command ) 

vserver snapdiff-rpc-server on <vserver_name>

4)    NFS interface on the vserver

network interface> show -vserver <vserver> -data-protocol nfs

Regards,
Rashid

Badge +3

Thanks Rashid, I’ve passed that along to our storage admins.

Badge +3

Is there anything like the following, describing exactly how and what’s required from the NetApp side?

https://documentation.commvault.com/v11/expert/33807_frequently_asked_questions_for_netapp_storage_array.html

That’s the document the storage admins used last, but I see it hasn’t been updated since 2018.

I’m asking due to the problems Luis Constantino found in this thread:

 

We have found this out from the Commvault logging were we found that SnapDiff was falling back from V3 to V2 during a back-up: Please verify that array [xxx.xxx.xxx.xxx] is a cluster interface and login [vsadmin] has a role on the file server which allows access_tokens.

 

And from a NetApp KB article which states that for SnapDiff to work it needs:

  • to target a LIF with a default-management policy
  • to use a valid snapdiff user on SVM

 

Would it be possible to have BOL update so these requirements are clear on forehand

 

And 9.10 doesn’t have the option of falling back to SnapDiff v2 if v3 fails.

Userlevel 7
Badge +16

Maybe @MMoret can be of assistance on this subject!

Badge

Hello,

do I really  need a NFS  data-LIF on a SMB//CIFS_only SVM to get rid of SnapDiff_v3.

 

Hi @Brendon McGrath 

Below are some additional requirements. This should be configured by default but you can confirm.

1)    REST Authorization

vserver services web access show -vserver <vserver> -name rest -role <role> 
vserver services web access create -vserver <vserver> -name rest -role <role>

2)    HTTP

security login show -vserver <vserver> -user-or-group-name <user> -application ssh
security login show -vserver <vserver> -user-or-group-name <user> -application http
security login create -vserver <vserver> -user-or-group-name <user> -application http -authentication-method password -role <role>

A typical user would be user would be “IntelliSnapUser” or “vsadmin” or “admin”

3)    RPC enabled

set advanced
vserver snapdiff-rpc-server
vserver snapdiff-rpc-server show ( if you find no entries  for the Vserver , please run below command ) 

vserver snapdiff-rpc-server on <vserver_name>

4)    NFS interface on the vserver

network interface> show -vserver <vserver> -data-protocol nfs

Regards,
Rashid

 

regards,

Christian

Userlevel 3
Badge +9

Hello @Brendon McGrath, @Christian Hoffmann,

 

I was reviewing this thread and reached out to our Development Team and confirmed that @R Anwar’s answer was correct and that those are the requirements for SnapDiff V3.

 

Thank you,

Collin

Badge

Hello @Collin Harper 

if this is correct, (I won’t believe that) someone at Commvault should bring this to ‘docs.commvault.com’

Although the needed Commvault-Versions to support ‘BackupCopy from Snapshot over NDMP’ from 11.24.(later HPK) and ‘BackupCopy from Snapshot over Share’ from v11.26.22.

These are the informations//version I got from my Commvault-SE after long time poking around in the dark.

Is there a chance to read about the configuration an requirements about Commvault and NetApp with Ontap >9.9.1 at ‘docs.commvault.com’?

 

regards,

Christian

Userlevel 7
Badge +23

@Christian Hoffmann , once @Collin Harper gets confirmation, I’ll put a documentation change request in for this.

Userlevel 3
Badge +9

@Christian Hoffmann 

I have submitted a Documentation Modification to have the requirements for SnapDIff V3 more clearly outlined in our documentaiton.

 

Thank you,

Collin

Badge +3

An update to this, @Collin Harper .  Two days ago one of the nearstores was upgraded to 9.10.1P7, since then none of the backup copy jobs have run sucessfully.  For whatever reason It’s still attempting only V2 and V1, I see no V3 attempts.  What other setting needs to be enabled to have this work?

Userlevel 3
Badge +9

@Brendon McGrath 

At this point it may be best to get a case created so we can see the behavior of the job through the logs to determine if something is not configured correctly or if we need to get Development involved to review.

 

Thank you,
Collin

Badge +3

Already raised one with our local partner, it’s currently working it’s way though their support.

Thanks for the reply.

Userlevel 7
Badge +23

@Brendon McGrath , can you share the Commvault case number so I can track it?

Thanks!

Reply